Raritan PX2/PX3 JSON-RPC API

Usb.idl
1 /* SPDX-License-Identifier: BSD-3-Clause */
2 /*
3 * Copyright 2010 Raritan Inc. All rights reserved.
4 */
5
6 #include <UserEvent.idl>
7
8 /**
9 * USB Ports
10 */
11 module usb {
12
13 /** USB device information */
14 structure UsbDevice {
15 int bus; ///< Bus number
16 int device; ///< Device address
17 int vendorId; ///< Vendor ID
18 int productId; ///< Product ID
19 };
20
21 /** USB interface */
22 interface Usb_1_0_2 {
23
24 /** USB interface settings */
25 structure Settings {
26 boolean hostPortsEnabled; ///< \false to deactivate the device's USB-A host ports
27 };
28
29 /** Event: Settings have changed */
30 valueobject SettingsChangedEvent extends event.UserEvent {
31 Settings oldSettings; ///< Settings before change
32 Settings newSettings; ///< Settings after change
33 };
34
35 /**
36 * Retrieve the USB interface settings.
37 *
38 * @return USB interface settings
39 */
40 Settings getSettings();
41
42 /**
43 * Change the USB interface settings.
44 *
45 * @param settings New settings
46 *
47 * @return 0 if OK
48 */
49 int setSettings(in Settings settings);
50
51 /**
52 * Get a list of USB devices connected to the host port.
53 *
54 * @param usbDevices Result: List of discovered devices
55 */
56 void getDevices(out vector<UsbDevice> usbDevices);
57
58 };
59
60 }
usb::Usb_1_0_2::Settings::hostPortsEnabled
boolean hostPortsEnabled
to deactivate the device&#39;s USB-A host ports
Definition: Usb.idl:26
usb
USB Ports.
Definition: Usb.idl:11
usb::Usb_1_0_2::Settings
USB interface settings.
Definition: Usb.idl:25
usb::UsbDevice::vendorId
int vendorId
Vendor ID.
Definition: Usb.idl:17
usb::Usb_1_0_2::newSettings
Settings newSettings
Settings after change.
Definition: Usb.idl:32
usb::UsbDevice
USB device information.
Definition: Usb.idl:14
usb::UsbDevice::device
int device
Device address.
Definition: Usb.idl:16
usb::Usb_1_0_2
USB interface.
Definition: Usb.idl:22
usb::UsbDevice::bus
int bus
Bus number.
Definition: Usb.idl:15
usb::UsbDevice::productId
int productId
Product ID.
Definition: Usb.idl:18